summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZero_Chaos <zerochaos@gentoo.org>2015-09-23 15:44:01 -0400
committerZero_Chaos <zerochaos@gentoo.org>2015-09-23 15:44:53 -0400
commit7d278889c6efb63108076e76916c29b622c4a7d0 (patch)
treef29f026fc1fd184660157ab0e77dff489e2c2503 /net-voip/yate
parentVersion bump. (diff)
downloadgentoo-7d278889c6efb63108076e76916c29b622c4a7d0.tar.gz
gentoo-7d278889c6efb63108076e76916c29b622c4a7d0.tar.bz2
gentoo-7d278889c6efb63108076e76916c29b622c4a7d0.zip
net-voip/yatebts: version bump for bug #547346 and fix net-wireless/yatebts dep
Diffstat (limited to 'net-voip/yate')
-rw-r--r--net-voip/yate/Manifest1
-rw-r--r--net-voip/yate/files/yate-5.4.0-dont-mess-with-cflags.patch (renamed from net-voip/yate/files/dont-mess-with-cflags.patch)0
-rw-r--r--net-voip/yate/files/yate-5.5.0-dont-mess-with-cflags.patch14
-rw-r--r--net-voip/yate/yate-5.4.0.ebuild2
-rw-r--r--net-voip/yate/yate-5.5.0.ebuild91
5 files changed, 107 insertions, 1 deletions
diff --git a/net-voip/yate/Manifest b/net-voip/yate/Manifest
index d2dd6f4df04..a2ab38fc8a9 100644
--- a/net-voip/yate/Manifest
+++ b/net-voip/yate/Manifest
@@ -1 +1,2 @@
DIST yate-5.4.0-1.tar.gz 5027248 SHA256 4705af7b4c110de11b0cee70e37f9815d130082a4c49b3f093cae07c79539344 SHA512 27c4bb7b00c37a9eaff7be210ba0812a0267fb186b357186734115ded73627dbf8fd3f292a3efbf7b33ca3e7c2e6a6f460d0ee4068e2a8415c58e3f698ae5e5b WHIRLPOOL 5a1243321044d25d134e47ef99cf6be9c2e51badb4c75d4952a3b5727c5aad8228f9a184d0ee66394ec928945b60bf80c5505696675b9666a61d46d2b7787d65
+DIST yate-5.5.0-1.tar.gz 4186159 SHA256 a9fc472df082e92d578efa3de54689e10ee1a24fdd67a9cc928db7c2e1568676 SHA512 8f19253ed140e53895c2df73eb961d0fc2cf2688ee59e9957ce9a1f7f32e4be85aff8221ecbcb7b4dda1560d52d14e3b252670f71a563310788e0d1e30c5f9bc WHIRLPOOL 6b95e6c55deb9339fc40583ea1180ec451aaad58f528e1f4300c353ac67a0f9fe9f532095630b6915832bd02d83f6f02883f10877a26bd9e11ca0efccca056d9
diff --git a/net-voip/yate/files/dont-mess-with-cflags.patch b/net-voip/yate/files/yate-5.4.0-dont-mess-with-cflags.patch
index 961d73fa1cc..961d73fa1cc 100644
--- a/net-voip/yate/files/dont-mess-with-cflags.patch
+++ b/net-voip/yate/files/yate-5.4.0-dont-mess-with-cflags.patch
diff --git a/net-voip/yate/files/yate-5.5.0-dont-mess-with-cflags.patch b/net-voip/yate/files/yate-5.5.0-dont-mess-with-cflags.patch
new file mode 100644
index 00000000000..1a2a98c24e9
--- /dev/null
+++ b/net-voip/yate/files/yate-5.5.0-dont-mess-with-cflags.patch
@@ -0,0 +1,14 @@
+https://build.opensuse.org/package/view_file/network:telephony/yate/dont-mess-with-cflags.patch?expand=1
+
+Index: yate/configure.ac
+===================================================================
+--- yate.orig/configure.ac
++++ yate/configure.ac
+@@ -1652,7 +1652,6 @@ fi
+
+
+ INSTALL_D="install -D"
+-CFLAGS=`echo "$CFLAGS" | sed 's/\(^\| \+\)-g[[0-9]]*//' | sed 's/[[[:space:]]]\{2,\}/ /g'`
+ MODULE_CFLAGS="-fno-exceptions -fPIC $HAVE_GCC_FORMAT_CHECK $HAVE_BLOCK_RETURN"
+ MODULE_CPPFLAGS="$HAVE_NO_OVERLOAD_VIRT_WARN $RTTI_OPT $MODULE_CFLAGS"
+ MODULE_LDRELAX="-rdynamic -shared"
diff --git a/net-voip/yate/yate-5.4.0.ebuild b/net-voip/yate/yate-5.4.0.ebuild
index fe04d722006..6f90ed04c9d 100644
--- a/net-voip/yate/yate-5.4.0.ebuild
+++ b/net-voip/yate/yate-5.4.0.ebuild
@@ -41,7 +41,7 @@ DEPEND="doc? ( || ( app-doc/doxygen dev-util/kdoc ) )
${RDEPEND}"
src_prepare() {
- epatch "${FILESDIR}"/dont-mess-with-cflags.patch
+ epatch "${FILESDIR}"/${P}-dont-mess-with-cflags.patch
eautoreconf
./yate-config.sh || die
}
diff --git a/net-voip/yate/yate-5.5.0.ebuild b/net-voip/yate/yate-5.5.0.ebuild
new file mode 100644
index 00000000000..6f90ed04c9d
--- /dev/null
+++ b/net-voip/yate/yate-5.5.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="The Yate AV Suite"
+HOMEPAGE="http://yate.null.ro/"
+
+if [[ ${PV} == 9999 ]] ; then
+ ESVN_REPO_URI="http://voip.null.ro/svn/yate/trunk"
+ inherit subversion
+ KEYWORDS=""
+else
+ SRC_URI="http://voip.null.ro/tarballs/${PN}5/${P}-1.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+ S="${WORKDIR}/${PN}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+IUSE="doc cpu_flags_x86_sse2 sctp dahdi zaptel wpcard tdmcard wanpipe +ilbc +ilbc-webrtc +isac-float isac-fixed postgres mysql +gsm +speex h323 spandsp +ssl qt4 +zlib amrnb"
+
+RDEPEND="
+ postgres? ( dev-db/postgresql )
+ mysql? ( virtual/mysql )
+ gsm? ( media-sound/gsm )
+ speex? ( media-libs/speex )
+ ssl? ( dev-libs/openssl )
+ h323? ( net-libs/h323plus )
+ zlib? ( sys-libs/zlib )
+ qt4? ( dev-qt/qtgui:4 dev-qt/designer:4 )
+ ilbc? ( dev-libs/ilbc-rfc3951 )
+ spandsp? ( >=media-libs/spandsp-0.0.3 )
+ dahdi? ( net-misc/dahdi )
+"
+DEPEND="doc? ( || ( app-doc/doxygen dev-util/kdoc ) )
+ virtual/pkgconfig
+ ${RDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-dont-mess-with-cflags.patch
+ eautoreconf
+ ./yate-config.sh || die
+}
+
+#fdsize, inline, rtti: keep default values
+#internalregex: use system
+#coredumper: not in the tree, bug 118716
+#wanpipe, wphwec: not in the tree, bug 188939
+#amrnb: not in tree!
+#zaptel: ??
+src_configure() {
+ econf \
+ --with-archlib=$(get_libdir) \
+ $(use_enable cpu_flags_x86_sse2 sse2) \
+ $(use_enable sctp) \
+ $(use_enable dahdi) \
+ $(use_enable zaptel) \
+ $(use_enable wpcard) \
+ $(use_enable tdmcard) \
+ $(use_enable wanpipe) \
+ $(use_enable ilbc) \
+ $(use_enable ilbc-webrtc) \
+ $(use_enable isac-float) \
+ $(use_enable isac-fixed) \
+ $(use_with postgres libpq) \
+ $(use_with mysql) \
+ $(use_with gsm libgsm) \
+ $(use_with speex libspeex) \
+ $(use_with amrnb) \
+ $(use_with spandsp) \
+ $(use_with h323 openh323 /usr) \
+ $(use_with h323 pwlib /usr) \
+ $(use_with ssl openssl) \
+ $(use_with qt4 libqt4)
+}
+
+src_compile() {
+ emake -j1
+}
+
+src_install() {
+ if use doc; then
+ emake DESTDIR="${ED}" install
+ else
+ emake DESTDIR="${ED}" install-noapi
+ fi
+}